## coccinelle 1.1.0.deb

=== parsing_cocci/Makefile ===
LIBRARY=parsing_cocci

include ../Makefile.library
