=== setup/Makefile ===
# Makefile.in generated by automake 1.15.1 from Makefile.am.
# setup/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# This is a makefile that is not used by this project,
# except for one purpose only:
#
# to all automake -ac in the root directory to (re)generate
# the files install-sh and missing in the setup subdirectory.
#
# The following files (with respect to the top directory)
# have been included in order not to have a dependency on
# automake:
#
# * setup/{Makefile.am, Makefile.in, install-sh, missing}
# * configure
# * Makefile.am
#
# Note: Makefile.in in the top directory is not generated
# from Makefile.am in the top directory! That Makefile.in
# is the official source file, and that Makefile.am is a
# placeholder to fool automake (which we do not really use).

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/coccinelle
pkgincludedir = $(includedir)/coccinelle
pkglibdir = $(libdir)/coccinelle
pkglibexecdir = $(libexecdir)/coccinelle
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = setup
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/setup/cocci.m4 \
	$(top_srcdir)/setup/ocaml.m4 $(top_srcdir)/setup/pkg.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in compile install-sh missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/fantasio/work/coccinelle/setup/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /home/fantasio/work/coccinelle/setup/missing autoconf
AUTOHEADER = ${SHELL} /home/fantasio/work/coccinelle/setup/missing autoheader
AUTOMAKE = ${SHELL} /home/fantasio/work/coccinelle/setup/missing automake-1.15
AWK = mawk
BASH = /bin/bash
BASH_COMPLETION_CFLAGS = 
BASH_COMPLETION_DIR = /usr/share/bash-completion/completions
BASH_COMPLETION_LIBS = 
CAMLnoreturn_end = 
CAMLnoreturn_start = 
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2
COCCI_OCAML_EXTERNAL = /home/fantasio/work/coccinelle/bundles
COCCI_SRCDIR = /home/fantasio/work/coccinelle
COCCI_VERSION = 1.0.8-00205-gd3d29c86
CONFIGURE_FLAGS = 
CONFVERSION = Wed, 24 Feb 2021 14:51:50 +0100
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATE = 
DEFS = -DPACKAGE_NAME=\"coccinelle\" -DPACKAGE_TARNAME=\"coccinelle\" -DPACKAGE_VERSION=\"1.0.8-00205-gd3d29c86\" -DPACKAGE_STRING=\"coccinelle\ 1.0.8-00205-gd3d29c86\" -DPACKAGE_BUGREPORT=\"cocci@systeme.lip6.fr\" -DPACKAGE_URL=\"http://coccinelle.lip6.fr/\" -DPACKAGE=\"coccinelle\" -DVERSION=\"1.0.8-00205-gd3d29c86\"
DEPDIR = .deps
DYNLINK_IS_NATIVE = Dynlink.is_native
ECHO = /bin/echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
FEATURE_OCAML = 1
FEATURE_PYTHON = 1
FEATURE_bytes = 0
FEATURE_dynlink = 1
FEATURE_menhirLib = 1
FEATURE_parmap = 1
FEATURE_pcre = 1
FEATURE_pyml = 1
FEATURE_stdcompat = 1
FLAGS_bytes = 
FLAGS_dynlink = $(FLAGS_dynlink)
FLAGS_menhirLib = 
FLAGS_parmap = $(FLAGS_parmap)
FLAGS_pcre = $(FLAGS_pcre)
FLAGS_pyml = $(FLAGS_pyml)
FLAGS_stdcompat = $(FLAGS_stdcompat)
GET_TEMP_DIR_NAME_EXPR = (Filename.get_temp_dir_name ())
GIT = /usr/bin/git
GLOBAL_bytes = 
GLOBAL_dynlink = dynlink
GLOBAL_parmap = parmap
GLOBAL_pcre = pcre
GLOBAL_pyml = pyml
GLOBAL_stdcompat = stdcompat
HAVE_PCRE = yes
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
Int_val = 
Int_val_val = 
LDFLAGS = 
LIBDIR = ${exec_prefix}/lib/coccinelle
LIBOBJS = 
LIBS = 
LOCALLIB_bytes = 0
LOCALLIB_dynlink = 0
LOCALLIB_parmap = 0
LOCALLIB_pcre = 0
LOCALLIB_pyml = 0
LOCALLIB_stdcompat = 0
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/fantasio/work/coccinelle/setup/missing makeinfo
MAKETARGET_SPATCH = opt-only
MAKE_bytes = 
MAKE_dynlink = 
MAKE_menhirLib = /home/fantasio/work/coccinelle/bundles/menhirLib
MAKE_parmap = 
MAKE_pcre = 
MAKE_pyml = 
MAKE_stdcompat = 
MENHIR = /home/fantasio/work/coccinelle/bundles/menhirLib/menhir
MKDIR_P = /bin/mkdir -p
MODULESOPT_bytes = 
MODULESOPT_dynlink = $(GLOBALOPT_dynlink)
MODULESOPT_menhirLib = 
MODULESOPT_parmap = $(GLOBALOPT_parmap)
MODULESOPT_pcre = $(GLOBALOPT_pcre)
MODULESOPT_pyml = $(GLOBALOPT_pyml)
MODULESOPT_stdcompat = $(GLOBALOPT_stdcompat)
MODULES_bytes = 
MODULES_dynlink = $(GLOBAL_dynlink)
MODULES_menhirLib = 
MODULES_parmap = $(GLOBAL_parmap)
MODULES_pcre = $(GLOBAL_pcre)
MODULES_pyml = $(GLOBAL_pyml)
MODULES_stdcompat = $(GLOBAL_stdcompat)
OBJEXT = o
OCAML = /home/fantasio/.opam/4.09.0/bin/ocaml
OCAMLATLEAST312 = yes
OCAMLATLEAST4020 = yes
OCAMLATLEAST4030 = yes
OCAMLBEST = opt
OCAMLC = /home/fantasio/.opam/4.09.0/bin/ocamlc.opt
OCAMLCDOTOPT = /home/fantasio/.opam/4.09.0/bin/ocamlc.opt
OCAMLCOCCI_FILE = yes_prepare_ocamlcocci.ml
OCAMLCOCCI_MODULE = Yes_prepare_ocamlcocci
OCAMLCORIG = /home/fantasio/.opam/4.09.0/bin/ocamlc.opt
OCAMLDEP = /home/fantasio/.opam/4.09.0/bin/ocamldep
OCAMLDOC = /home/fantasio/.opam/4.09.0/bin/ocamldoc
OCAMLFIND = /home/fantasio/.opam/4.09.0/bin/ocamlfind
OCAMLLEX = /home/fantasio/.opam/4.09.0/bin/ocamllex.opt
OCAMLLEXDOTOPT = /home/fantasio/.opam/4.09.0/bin/ocamllex.opt
OCAMLLIB = /home/fantasio/.opam/4.09.0/lib/ocaml
OCAMLMKLIB = /home/fantasio/.opam/4.09.0/bin/ocamlmklib
OCAMLMKTOP = /home/fantasio/.opam/4.09.0/bin/ocamlmktop
OCAMLOPT = /home/fantasio/.opam/4.09.0/bin/ocamlopt.opt
OCAMLOPTDOTOPT = /home/fantasio/.opam/4.09.0/bin/ocamlopt.opt
OCAMLPROF = /home/fantasio/.opam/4.09.0/bin/ocamlprof
OCAMLVERSION = 4.09.0
OCAMLYACC = /home/fantasio/.opam/4.09.0/bin/ocamlyacc
OCAML_PKG_bigarray = bigarray
OCAML_PKG_bytes = 
OCAML_PKG_dynlink = dynlink
OCAML_PKG_parmap = parmap
OCAML_PKG_pcre = pcre
OCAML_PKG_pyml = pyml
OCAML_PKG_stdcompat = stdcompat
OCAML_PKG_str = str
OCAML_PKG_unix = unix
OPTFLAGS_bytes = 
OPTFLAGS_dynlink = $(OPTFLAGS_dynlink)
OPTFLAGS_menhirLib = 
OPTFLAGS_parmap = $(OPTFLAGS_parmap)
OPTFLAGS_pcre = $(OPTFLAGS_pcre)
OPTFLAGS_pyml = $(OPTFLAGS_pyml)
OPTFLAGS_stdcompat = $(OPTFLAGS_stdcompat)
OPTIMIZED_dynlink = yes
PACKAGE = coccinelle
PACKAGE_BUGREPORT = cocci@systeme.lip6.fr
PACKAGE_NAME = coccinelle
PACKAGE_STRING = coccinelle 1.0.8-00205-gd3d29c86
PACKAGE_TARNAME = coccinelle
PACKAGE_URL = http://coccinelle.lip6.fr/
PACKAGE_VERSION = 1.0.8-00205-gd3d29c86
PATCH = /usr/bin/patch
PATCHELF = 
PATH_SEPARATOR = :
PATH_bigarray = /home/fantasio/.opam/4.09.0/lib/ocaml
PATH_bytes = 
PATH_dynlink = /home/fantasio/.opam/4.09.0/lib/ocaml
PATH_menhirLib = /home/fantasio/work/coccinelle/bundles/menhirLib
PATH_menhirLib_bundle = /home/fantasio/work/coccinelle/bundles/menhirLib
PATH_menhir_bundle = /home/fantasio/work/coccinelle/bundles/menhirLib/menhir
PATH_parmap = /home/fantasio/.opam/4.09.0/lib/parmap
PATH_pcre = /home/fantasio/.opam/4.09.0/lib/pcre
PATH_pyml = /home/fantasio/.opam/4.09.0/lib/pyml
PATH_stdcompat = /home/fantasio/.opam/4.09.0/lib/stdcompat
PATH_str = /home/fantasio/.opam/4.09.0/lib/ocaml
PATH_unix = /home/fantasio/.opam/4.09.0/lib/ocaml
PCRE_CFLAGS = 
PCRE_LIBS = -lpcre
PDFLATEX = /usr/bin/pdflatex
PKG_CONFIG = /home/fantasio/work/coccinelle/setup/fake-subst.sh /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_ORIG = /usr/bin/pkg-config
PKG_CONFIG_PATH = 
PYCOCCI_FILE = yes_pycocci.ml
PYCOCCI_MODULE = Yes_pycocci
PYTHON = python
PYVER = 
REGEXP_FILE = regexp_pcre.ml
REGEXP_MODULE = Regexp_pcre
RUNTIME_OCAMLC_CMD = ocamlc
RUNTIME_OCAMLDEP_CMD = ocamldep
RUNTIME_OCAMLFIND_CMD = ocamlfind
RUNTIME_OCAMLOPT_CMD = ocamlopt
SET_MAKE = 
SHELL = /bin/bash
SPATCHNAME = spatch.opt
STRIP = 
SUBSTITUTED_MENHIR = yes
SUBSTITUTED_OCAMLFIND = 
SUBSTITUTED_OCAMLLEX = 
SUBSTITUTED_OCAMLPROF = 
SUBSTITUTED_OCAMLYACC = 
SUBSTITUTED_PDFLATEX = 
SUBSTITUTED_PKG_CONFIG = 
TAR = /bin/tar
VERSION = 1.0.8-00205-gd3d29c86
Val_Val_int = 
Val_int = 
abs_builddir = /home/fantasio/work/coccinelle/setup
abs_srcdir = /home/fantasio/work/coccinelle/setup
abs_top_builddir = /home/fantasio/work/coccinelle
abs_top_srcdir = /home/fantasio/work/coccinelle
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
enable_bytes = 
enable_dynlink = yes
enable_ocaml = yes
enable_opt = yes
enable_parmap = yes
enable_pcre = yes
enable_pcre_syntax = 
enable_pyml = yes
enable_python = yes
enable_stdcompat = yes
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/fantasio/work/coccinelle/setup/install-sh
intnat = 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
noalloc = 
oldincludedir = /usr/include
