=== bundles/pcre/pcre-ocaml/src/Makefile ===
TARGETS = pcre.cma libpcre_stubs.a

.PHONY: all clean

all:
	@dune build $(TARGETS)

clean:
	@dune clean
