=== debian/changelog ===
coccinelle (1.1.0.deb-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Tue, 02 Mar 2021 13:57:22 +0200

coccinelle (1.1.0.deb-1) unstable; urgency=medium

  * d/rules: Force pdflatex to use SOURCE_DATE_EPOCH for \today.
    - Set FORCE_SOURCE_DATE envs.
  * d/watch: update to look into the oficial release
  * New upstream version 1.1.0.deb
  * d/patches: Remove already applied patches.
  * d/control: Update my contact information.
  * d/control: Bump Standards-Version to 4.5.1

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 01 Mar 2021 10:52:30 -0300

coccinelle (1.0.8.deb-5) unstable; urgency=medium

  * Debhelper compatibility level 13
  * Build-depend on libpyml-ocaml-dev (closes: #969451)
  * Filter out the bundle/ directory (which contains vendored ocaml
    libraries) when doing gbp import-orig

 -- Ralf Treinen <treinen@debian.org>  Thu, 03 Sep 2020 04:47:50 +0200

coccinelle (1.0.8.deb-4) unstable; urgency=medium

  * New patch menhir-2200525: solves FTBFS with recent versions of menhir
    (closes: #968946)
  * Compile with python support (closes: #886712)
  * Add myself to Uploaders.

 -- Ralf Treinen <treinen@debian.org>  Wed, 02 Sep 2020 20:45:21 +0200

coccinelle (1.0.8.deb-3) unstable; urgency=medium

  * Team upload
  * Add empty override_dh_dwz to prevent FTBFS
  * Add Rules-Requires-Root: no
  * Depend on ${python3:Depends} instead of ${python:Depends}

 -- Stéphane Glondu <glondu@debian.org>  Sat, 08 Aug 2020 11:07:40 +0200
