=== debian/watch ===
version=4
opts=uversionmangle=s/(.*)/$1\.deb/ \
   https://coccinelle.gitlabpages.inria.fr/website/download.html distrib/coccinelle-(.+)\.tar\.gz
